TeePayDocs
API ReferencePayouts

List payouts

GET
/v1/disbursements

Your account's payouts, newest first. Requires disbursement:read.

Authorization

BearerAuth
headerAuthorizationBearer <token>

Secret API key: tp_test_. or tp_live_.. Server-side only.

Response Body

Paginated payout records

application/json
  1. response
items*array<>
next_cursor*string|null
Example Request
curl -X GET 'https://api.teepay.me/v1/disbursements'
Example Response
{  "items": [    {      "id": "string",      "public_reference": "string",      "operation": "charge",      "status": "created",      "status_detail": "string",      "money": {        "amount_minor": 0,        "currency": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "customer_name": "string",      "customer_phone": "string",      "method": "string",      "channel": "string",      "source": "string",      "fee": {        "amount_minor": 0,        "currency": "string"      },      "net": {        "amount_minor": 0,        "currency": "string"      }    }  ],  "next_cursor": "string"}